QGIS Application - Bug report #15373
Refine current rule not working on QGIS 2.16
2016-08-02 02:52 AM - Alain FERRATON

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Unknown

Affected QGIS version:2.16.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23303
Description

in an analysis rule-based.
Refine selected rules does nothing when valid with OK

Associated revisions

Revision ddbd25d0 - 2016-10-05 04:59 AM - Nyall Dawson

Correctly emit panelAccepted when panel is not in dock mode

Fixes #15373 - refine current rule not working when symbol widgets
are not used in the style dock

This fixes a behavioural difference when new panels are opened
in a QgsPanelWidget when in docked/undocked mode. When in
docked mode, the newly opened panel will emit panelAccepted
when it is accepted. But for undocked mode, the parent

panel was emitting the panelAccepted signal and so the
connection to update the renderer was never

triggered. Now both docked/undocked panels will always

emit panelAccepted ONLY from the newly opened panel itself.

This also fixes memory leaks as the clean up code was never

run in undocked mode.

I've updated the docs to clarify this behaviour.

Revision d073ca29 - 2016-10-06 01:09 PM - Nyall Dawson

Correctly emit panelAccepted when panel is not in dock mode

Fixes #15373 - refine current rule not working when symbol widgets
are not used in the style dock

This fixes a behavioural difference when new panels are opened
in a QgsPanelWidget when in docked/undocked mode. When in
docked mode, the newly opened panel will emit panelAccepted
when it is accepted. But for undocked mode, the parent

panel was emitting the panelAccepted signal and so the
connection to update the renderer was never
triggered. Now both docked/undocked panels will always
emit panelAccepted ONLY from the newly opened panel itself.

This also fixes memory leaks as the clean up code was never
run in undocked mode.

I've updated the docs to clarify this behaviour.

(cherry-picked from ddbd25d046ad514719b41c5f61f3c7fe34304a74)

Revision 93b1170c - 2016-10-06 01:49 PM - Nyall Dawson

Correctly emit panelAccepted when panel is not in dock mode

Fixes #15373 - refine current rule not working when symbol widgets

are not used in the style dock

This fixes a behavioural difference when new panels are opened
in a QgsPanelWidget when in docked/undocked mode. When in
docked mode, the newly opened panel will emit panelAccepted
when it is accepted. But for undocked mode, the parent

panel was emitting the panelAccepted signal and so the
connection to update the renderer was never

triggered. Now both docked/undocked panels will always

emit panelAccepted ONLY from the newly opened panel itself.

This also fixes memory leaks as the clean up code was never

run in undocked mode.

I've updated the docs to clarify this behaviour.

(cherry-picked from ddbd25d046ad514719b41c5f61f3c7fe34304a74)

History

#1 - 2016-09-28 02:45 AM - Alain FERRATON

This bug still exists in QGIS 2.16.3

#2 - 2016-10-02 07:38 PM - Nyall Dawson

PR with fix at https://github.com/qgis/QGIS/pull/3557

#3 - 2016-10-04 08:00 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"ddbd25d046ad514719b41c5f61f3c7fe34304a74".
https://github.com/qgis/QGIS/pull/3557

#4 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown
